<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetIncludedResources extends Service_PbaApi_Client_Request
{
    const METHOD = 'IncludedResourcesGetIncludedResourcesExtResourceList';

    /**
     * Service_PbaApi_Api_Request_GetResource constructor.
     * @param array $resourceId
     * @param array $unknown
     * @param array $unknown2
     */
    public function __construct($resourceId, $unknown = null, $unknown2 = null)
    {
        parent::__construct(self::METHOD, array((int)$resourceId, $unknown, $unknown2));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionResourcesList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetIncludedResources($responseArray);
    }
}
