<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanCategoryList extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanCategoryListGet_API';


    public function __construct($accountId, $sortNo = 1)
    {
        parent::__construct(self::METHOD, array(
            (int) $accountId,
            (int) $sortNo
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetAvailablePlanList
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetPlanCategoryList($responseArray);
    }
}
