<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetSubscriptionParameterValue extends Service_PbaApi_Client_Request
{
    const METHOD = 'SubscrParamValueGet_API';

    /**
     * @param int $subscriptionId
     * @param string $parameterID
     */
    public function __construct($subscriptionId, $parameterID)
    {
        parent::__construct(self::METHOD, array(
            (int) $subscriptionId,
            (string) $parameterID
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Client_ResponseInterface
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetSubscriptionParameterValue($responseArray);
    }
}
