<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_PlacePlanPeriodSwitchOrder extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlacePlanPeriodSwitchOrder_API';

    /**
     * Service_PbaApi_Api_Request_PlacePlanPeriodSwitchOrder constructor.
     * @param int $subscriptionId
     * @param int $planId
     * @param int $periodId
     * @param int $upgradeStartType
     * @param int $applyPromo
     */
    public function __construct($subscriptionId, $planId, $periodId, $upgradeStartType, $applyPromo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int) $subscriptionId,
            (int) $planId,
            (int) $periodId,
            (int) $upgradeStartType,
            (int) $applyPromo
        ));
    }

    /**
     * @param array|null $responseArray
     * @return Service_PbaApi_Api_Response_PlacePlanPeriodSwitchOrder
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_PlacePlanPeriodSwitchOrder($responseArray);
    }
}
