<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_GetSubscriptionsListByOrder extends Service_PbaApi_Client_Response
{
    const EXCEPTION_EMPTY_RESULT = 'Empty result';

    protected function _init(array $responseArray = null)
    {
        if (is_null($responseArray)) {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }

        $list = array();
        $listData = $this->_getProperty(0, $responseArray);
        foreach ($listData as $itemData) {
            $item = new Service_PbaApi_Api_Response_Struct_GetSubscriptionsListByOrder();
            $item->setSubscriptionId($this->_getProperty(0, $itemData));
            $list[] = $item;
        }
        return $list;
    }
}
