<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\CountersManager\Filters;

use Acronis\App\Base\ApplicationCounter;
use Acronis\App\CloudApi\ApiInterface;
use Acronis\App\Services\CountersManager\CounterFilterInterface;

class StdEditionCountersOnly implements CounterFilterInterface
{
    public function needsToBeExcluded(ApplicationCounter $counter)
    {
        return $counter->getEdition() !== ApiInterface::EDITION_STD;
    }
}