<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Database;

interface MigrationInterface
{
    public function getDescription();

    /**
     * @param \PDO $connection
     * @return mixed
     */
    public function up($connection);

    /**
     * @param \PDO $connection
     * @return mixed
     */
    public function down($connection);
}