<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Model_Resource_NotApplicableMethodException extends \Rest\RestException
{
    const OPERATION_IS_NOT_APPLICABLE = 'Operation is not applicable.';

    public function __construct($http_status_code = 406, $error_message = self::OPERATION_IS_NOT_APPLICABLE, $details = null, $error = null, $additionalInfo = null)
    {
        parent::__construct($http_status_code, $error_message, $details, $error, $additionalInfo);
    }
}