<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Request_Struct_LocalBackup extends Service_BaseClient_Request_Struct_Updatable
{
    const FIELD_PERMITTED = "permitted";
    const LOCAL_BACKUP_DEFAULT_VALUE = 0;
    /**
     * @var int
     */
    private $permitted;

    /**
     * @return int
     */
    public function getPermitted()
    {
        return $this->permitted;
    }

    /**
     * @param int $permitted
     */
    public function setPermitted($permitted)
    {
        $this->_markFieldAsUpdated(self::FIELD_PERMITTED);
        $this->permitted = $permitted;
    }

    public function toArray()
    {
        $result = array();

        $permitted = $this->getPermitted();
        if (!is_null($permitted)) {
            $result[self::FIELD_PERMITTED] = $permitted;
        }

        return $result;
    }
}
