<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_BackupConsole extends Service_BaseClient_Response_Base
{
    const PROPERTY_HOST  = 'host';
    const PROPERTY_TOKEN = 'token';
    const PROPERTY_URL   = 'url';
    const PROPERTY_REDIRECT_URL = 'redirect_url';

    /**
     * @param array $responseData
     * @return string
     */
    protected  function _init(array $responseData)
    {
        $backupConsole = new Service_MspApiClient_Response_Struct_BackupConsole();

        $host = $this->_getProperty(self::PROPERTY_HOST, $responseData);
        $backupConsole->setHost($host);

        $token = $this->_getProperty(self::PROPERTY_TOKEN, $responseData);
        $backupConsole->setToken($token);

        $url = $this->_getProperty(self::PROPERTY_URL, $responseData);
        $backupConsole->setUrl($url);

        $redirectUrl = $this->_getProperty(self::PROPERTY_REDIRECT_URL, $responseData);
        $backupConsole->setRedirectUrl($redirectUrl);

        return $backupConsole;
    }
}