<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetAttributesTypeList extends Service_PbaApi_Client_Request
{
    const METHOD = 'AttrTypeListGet_API';

    /**
     * @param int $sortNo
     */
    public function __construct($sortNo)
    {
        parent::__construct(self::METHOD, array(
            (int)$sortNo
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetAttributesTypeList
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetAttributesTypeList($responseArray);
    }
}
