<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
interface Service_PbaApi_Api_Response_Struct_GetOrderInterface
{
    /**
     * @return int
     */
    public function getOrderID();

    /**
     * @param int $orderID
     */
    public function setOrderID($orderID);

    /**
     * @return string
     */
    public function getOrderNumber();

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber($orderNumber);

    /**
     * @return int
     */
    public function getVendorAccountID();

    /**
     * @param int $vendorAccountID
     */
    public function setVendorAccountID($vendorAccountID);

    /**
     * @return int
     */
    public function getCustomerAccountID();

    /**
     * @param int $customerAccountID
     */
    public function setCustomerAccountID($customerAccountID);

    /**
     * @return string
     */
    public function getOrderStatusID();

    /**
     * @param string $orderStatusID
     */
    public function setOrderStatusID($orderStatusID);

    /**
     * @return string
     */
    public function getOrderTypeID();

    /**
     * @param string $orderTypeID
     */
    public function setOrderTypeID($orderTypeID);

    /**
     * @return int
     */
    public function getCreationTime();

    /**
     * @param int $creationTime
     */
    public function setCreationTime($creationTime);

    /**
     * @return int
     */
    public function getOrderDate();

    /**
     * @param int $orderDate
     */
    public function setOrderDate($orderDate);

    /**
     * @return float
     */
    public function getTotal();

    /**
     * @param float $total
     */
    public function setTotal($total);

    /**
     * @return float
     */
    public function getTaxTotal();

    /**
     * @param float $taxTotal
     */
    public function setTaxTotal($taxTotal);

    /**
     * @return float
     */
    public function getDiscountTotal();

    /**
     * @param float $discountTotal
     */
    public function setDiscountTotal($discountTotal);

    /**
     * @return float
     */
    public function getMerchTotal();

    /**
     * @param float $merchTotal
     */
    public function setMerchTotal($merchTotal);

    /**
     * @return string
     */
    public function getComments();

    /**
     * @param string $comments
     */
    public function setComments($comments);

    /**
     * @return int
     */
    public function getExpirationDate();

    /**
     * @param int $expirationDate
     */
    public function setExpirationDate($expirationDate);

    /**
     * @return string
     */
    public function getPromoCode();

    /**
     * @param string $promoCode
     */
    public function setPromoCode($promoCode);

    /**
     * @return string
     */
    public function getSalesBranchID();

    /**
     * @param string $salesBranchID
     */
    public function setSalesBranchID($salesBranchID);

    /**
     * @return string
     */
    public function getSalesPersonID();

    /**
     * @param string $salesPersonID
     */
    public function setSalesPersonID($salesPersonID);

    /**
     * @return string
     */
    public function getCurrencyID();

    /**
     * @param string $currencyID
     */
    public function setCurrencyID($currencyID);

    /**
     * @return int
     */
    public function getCompletedDate();

    /**
     * @param int $completedDate
     */
    public function setCompletedDate($completedDate);
}
