<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\CountersManager\Filters;

use Acronis\App\Base\ApplicationCounter;
use Acronis\App\Services\CountersManager\CounterFilterInterface;

class ExcludeStorageAdditionalCounters implements CounterFilterInterface
{
    public function needsToBeExcluded(ApplicationCounter $counter)
    {
        return preg_match('/(Acronis|Google|Azure|Provider|Partner)Hosted/', $counter->getName()) !== 0;
    }
}