<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Logger;

use Acronis\App\Services\Locator;
use Monolog\Logger;

trait LoggerAwareTrait
{
    /**
     * @return Logger
     */
    protected function getLogger()
    {
        return Locator::getInstance()->get(LoggerFactory::NAME);
    }
}